src/fvm/fvm_writer_priv.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Typedefs | Functions
fvm_writer_priv.h File Reference
`#include "cs_defs.h"`
`#include "cs_timer.h"`
`#include "fvm_defs.h"`
`#include "fvm_nodal.h"`
`#include "fvm_writer.h"`
Include dependency graph for fvm_writer_priv.h:

Go to the source code of this file.

## Data Structures
struct | fvm_writer_format_t
struct | fvm_writer_t

## Macros
#define | FVM_WRITER_FORMAT_USE_EXTERNAL (1 << 0)
#define | FVM_WRITER_FORMAT_HAS_POLYGON (1 << 1)
#define | FVM_WRITER_FORMAT_HAS_POLYHEDRON (1 << 2)

## Typedefs
typedef int( | fvm_writer_n_version_strings_t )(void)
typedef const char *( | fvm_writer_version_string_t )(int string_index, int compile_time_version)
typedef void *( | fvm_writer_init_t )(const char *name, const char *path, const char *options, fvm_writer_time_dep_t time_dependency)
typedef void *( | fvm_writer_finalize_t )(void *this_writer)
typedef void( | fvm_writer_set_mesh_time_t )(void *this_writer, int time_step, double time_value)
typedef int( | fvm_writer_needs_tesselation_t )(fvm_writer_t *this_writer, const fvm_nodal_t *mesh, fvm_element_t element_type)
typedef void( | fvm_writer_export_nodal_t )(void *this_writer, const fvm_nodal_t *mesh)
typedef void( | fvm_writer_export_field_t )(void *this_writer, const fvm_nodal_t *mesh, const char *name, fvm_writer_var_loc_t location, int dimension, cs_interlace_t interlace, int n_parent_lists, const cs_lnum_t parent_num_shift[], cs_datatype_t datatype, int time_step, double time_value, const void *const field_values[])
typedef void( | fvm_writer_flush_t )(fvm_writer_t *this_writer)

## Functions
void | fvm_writer_def_nodal_buf_size (const fvm_nodal_t *this_nodal, int n_slices, int n_polyhedron_vertices_mean, int n_polygon_vertices_mean, cs_gnum_t *n_g_vertices, cs_gnum_t n_g_elements_section[], cs_gnum_t *global_s_size, cs_gnum_t *global_connect_s_size)

## Macro Definition Documentation

#define FVM_WRITER_FORMAT_HAS_POLYGON (1 << 1)

#define FVM_WRITER_FORMAT_HAS_POLYHEDRON (1 << 2)

#define FVM_WRITER_FORMAT_USE_EXTERNAL (1 << 0)

## Typedef Documentation

typedef void( fvm_writer_export_field_t)(void *this_writer, const fvm_nodal_t *mesh, const char *name, fvm_writer_var_loc_t location, int dimension, cs_interlace_t interlace, int n_parent_lists, const cs_lnum_t parent_num_shift[], cs_datatype_t datatype, int time_step, double time_value, const void *const field_values[])

typedef void( fvm_writer_export_nodal_t)(void *this_writer, const fvm_nodal_t *mesh)

typedef void*( fvm_writer_finalize_t)(void *this_writer)

typedef void( fvm_writer_flush_t)(fvm_writer_t *this_writer)

typedef void*( fvm_writer_init_t)(const char *name, const char *path, const char *options, fvm_writer_time_dep_t time_dependency)

typedef int( fvm_writer_n_version_strings_t)(void)

typedef int( fvm_writer_needs_tesselation_t)(fvm_writer_t *this_writer, const fvm_nodal_t *mesh, fvm_element_t element_type)

typedef void( fvm_writer_set_mesh_time_t)(void *this_writer, int time_step, double time_value)

typedef const char*( fvm_writer_version_string_t)(int string_index, int compile_time_version)

## Function Documentation

void fvm_writer_def_nodal_buf_size | ( | const fvm_nodal_t * | this_nodal,
|  | int | n_slices,
|  | int | n_polyhedron_vertices_mean,
|  | int | n_polygon_vertices_mean,
|  | cs_gnum_t * | n_g_vertices,
|  | cs_gnum_t | n_g_elements_section[],
|  | cs_gnum_t * | global_s_size,
|  | cs_gnum_t * | global_connect_s_size
| ) |  |